Skip to content

openai Edit Video

POST https://www.kkiai.com/v1/videos/{id}/remix

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Path Parameters

Parameter NameTypeRequiredDescription
idstringRequired

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
promptstringRequired

Request Example

json
{
    "prompt": "Make the image more detailed and refined.",
      "size": "1280x720"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/videos/video_099c5197-abfd-4e16-88ff-1e162f2a5c77/remix' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "Make the image more detailed and refined.",
      "size": "1280x720"
}'

Response

🟠401 Success

Response Body

Parameter NameTypeRequiredDescription
errorobjectRequired
  └ messagestringRequired
  └ message_zhstringRequired
  └ typestringRequired

Response Example

json
{
    "id": "video_8a60610c-3a5e-4ca8-be05-405f0dc635d0",
    "object": "video",
    "model": "sora_video2",
    "status": "queued",
    "progress": 0,
    "created_at": 1766374127,
    "seconds": "10",
    "size": "1280x720",
    "remixed_from_video_id": "e3215864-dd3c-49b1-8475-e4669b6d5c33",
    "detail": {}
}